#include <stdio.h>
#include <stdlib.h>
#include "queen.h"

void usage(char *pgm)
{
  fprintf(stderr,"usage: %s [-v]* n\n",pgm);
  exit(-1);
}

int main(int argc, char **argv) {
  char *pgm = argv[0];
  char *arg=0;
  int n = 8 ;

  while (--argc) {
    arg = *++argv;
    if (*arg == '-') {
      arg++ ;
      if (*arg == 'v') {
         verbose++;
      } else
        usage(pgm);
    } else {
      break;
    }
  }

  if (argc >= 1) n = atoi(arg);
  count_t r = run_task(n);
  printf("%" PRC "\n",r);
}
